Package ru.bitel.oss.systems.inventory.product.common.bean

# Class ProductSpecActivationMode.Builder

java.lang.Object
ru.bitel.oss.systems.inventory.product.common.bean.ProductSpecActivationMode.Builder

Enclosing class:
  `ProductSpecActivationMode`

public static class ProductSpecActivationMode.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProductSpecActivationMode`
  `build()`
  `ProductSpecActivationMode.Builder`
  `setDateFrom(Date dateFrom)`
  `ProductSpecActivationMode.Builder`
  `setDateTo(Date dateTo)`
  `ProductSpecActivationMode.Builder`
  `setDeactivationMode(int deactivationMode)`
  `ProductSpecActivationMode.Builder`
  `setId(int id)`
  `ProductSpecActivationMode.Builder`
  `setModuleId(int moduleId)`
  `ProductSpecActivationMode.Builder`
  `setPeriodAmount(int periodAmount)`
  `ProductSpecActivationMode.Builder`
  `setPeriodMode(int periodMode)`
  `ProductSpecActivationMode.Builder`
  `setReactivationMode(int reactivationMode)`
  `ProductSpecActivationMode.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public ProductSpecActivationMode.Builder setId(int id)

  - ### setTitle

    public ProductSpecActivationMode.Builder setTitle(String title)

  - ### setModuleId

    public ProductSpecActivationMode.Builder setModuleId(int moduleId)

  - ### setDateFrom

    public ProductSpecActivationMode.Builder setDateFrom(Date dateFrom)

  - ### setDateTo

    public ProductSpecActivationMode.Builder setDateTo(Date dateTo)

  - ### setPeriodMode

    public ProductSpecActivationMode.Builder setPeriodMode(int periodMode)

  - ### setPeriodAmount

    public ProductSpecActivationMode.Builder setPeriodAmount(int periodAmount)

  - ### setDeactivationMode

    public ProductSpecActivationMode.Builder setDeactivationMode(int deactivationMode)

  - ### setReactivationMode

    public ProductSpecActivationMode.Builder setReactivationMode(int reactivationMode)

  - ### build

    public ProductSpecActivationMode build()